FormSubmitEvent.MethodType (Java SE 10 & JDK 10 )
Keywords: javax.swing.text.html.FormSubmitEvent.MethodType class

Module java.desktop
Package javax.swing.text.html

## Enum FormSubmitEvent.MethodType

- java.lang.Object
- - java.lang.Enum<FormSubmitEvent.MethodType>
  - - javax.swing.text.html.FormSubmitEvent.MethodType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FormSubmitEvent.MethodType>`
  Enclosing class:
    FormSubmitEvent

      public static enum FormSubmitEvent.MethodType
      extends Enum<FormSubmitEvent.MethodType>

  Represents an HTML form method type.
  - `GET` corresponds to the GET form method
  - `POST` corresponds to the POST from method
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GET` | `GET` corresponds to the GET form method
    `POST` | `POST` corresponds to the POST from method

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FormSubmitEvent.MethodType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FormSubmitEvent.MethodType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final FormSubmitEvent.MethodType GET

      `GET` corresponds to the GET form method

    - #### POST

          public static final FormSubmitEvent.MethodType POST

      `POST` corresponds to the POST from method

  - ### Method Detail

    - #### values

          public static FormSubmitEvent.MethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormSubmitEvent.MethodType c : FormSubmitEvent.MethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormSubmitEvent.MethodType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null